from inventory import equipment_classes
from combat import monster_classes, spell_classes, combat_v2
from meta import navigation, player_system, util


def main():
    # ******** GAME START ********
    # Event Handler (ie. Wait for player input with animation thing)
    ev = util.EventHandler()


    # The first monsters
    mob1 = monster_classes.Rat(1)
    mob2 = monster_classes.Rat(1)

    # The player
    PC = player_system.PlayerCharacter()
    PC.player_name = "Cam"
    nav = navigation.NavSystem(PC)

    # Initalize spells
    spells = spell_classes.Spells(PC)
    PC.spell_book.append(spells.fireball())

    PC.leveler(1)
    PC.current_health = PC.max_health
    PC.ability_power = PC.max_ability_power

    # Game start
    while True:

        PC.current_health = 50
        PC.ability_power = 10
        mob1.current_health = 235
        mycombat = combat_v2.Combat(PC, mob1)

        mycombat.combat_banner()
        break
    if PC.current_health > 0:
        print("You won")


if __name__ == "__main__":
    main()



